[Overview][Types][Classes][Variables][Index] | Reference for unit 'CustApp' (#fcl)

# TCustomApplication.OptionChar

Command-line switch character

## Declaration

Source position: custapp.pp line 85

`public property TCustomApplication.OptionChar : Char read FoptionChar write FOptionChar;`

## Description

OptionChar is the character used for command line switches. By default, this is the dash ('-') character, but it can be set to any other non-alphanumerical character (although no check is performed on this).

## See also

FindOptionIndex |  | Return the index of an option.
GetOptionValue |  | Return the value of a command-line option.
HasOption |  | Check whether an option was specified.
CaseSensitiveOptions |  | Are options interpreted case sensitive or not
CheckOptions |  | Check whether all given options on the command-line are valid.

Documentation generated on: Feb 26 2014